#import "~/graphql_shared/fragments/page_info.fragment.graphql"

query complianceFrameworksList(
  $fullPath: ID!
  $search: String
  $before: String
  $after: String
  $first: Int
  $last: Int
) {
  namespace(fullPath: $fullPath) {
    id
    name
    complianceFrameworks(
      search: $search
      before: $before
      after: $after
      first: $first
      last: $last
    ) {
      nodes {
        id
        name
        default
        description
        color
        pipelineConfigurationFullPath
        scanExecutionPolicies(first: 100) {
          nodes {
            name
            source {
              ... on GroupSecurityPolicySource {
                namespace {
                  id
                  name
                  fullPath
                }
              }
            }
          }
        }
        scanResultPolicies(first: 100) {
          nodes {
            name
            source {
              ... on GroupSecurityPolicySource {
                namespace {
                  id
                  name
                  fullPath
                }
              }
            }
          }
        }
        projects {
          nodes {
            id
            name
            webUrl
          }
        }
      }
      pageInfo {
        ...PageInfo
      }
    }
  }
}
